<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Message List</title>
    <style>
        table,td,th{
            border: 1px solid black;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        .button-style{
            text-align: center;
            width: 10px;
        }
        .styled-table {
            border-collapse: collapse;
            margin: 25px 0;
            font-size: 0.9em;
            font-family: sans-serif;
            min-width: 400px;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
        }
        .styled-table thead tr {
            background-color: #f1a72f;
            color: #ffffff;
            text-align: left;
        }
        .styled-table th,
        .styled-table td {
            padding: 12px 15px;
        }
        .styled-table tbody tr {
            border-bottom: thin solid #dddddd;
        }
        .styled-table tbody tr:nth-of-type(even) {
            background-color: #f3f3f3;
        }
        .styled-table tbody tr:last-of-type {
            border-bottom: 2px solid #f1a72f;
        }
    </style>
  </head>
  <body>
    <table class="styled-table">
        <thead>
            <tr>
                <th>To</th>
                <th>From</th>
                <th>Title</th>
                <th>Message</th>
                <th>Actions</th>
            </tr> 
        </thead>
      <!-- TODO loop from Friend model -->
        <tbody>
        {% for note in notes %}
            <tr>
                <td>{{note.to}}</td>
                <td>{{note.fromm}}</td>
                <td>{{note.title}}</td>
                <td>{{note.message}}</td>
                <td class="button-style">
                    <button type="button">View</button>
                    <button type="button">Edit</button>
                    <button type="button">Delete</button>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
  </body>
</html>
